Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLASQ5

    java.lang.Object
      org.netlib.lapack.DLASQ5

    public class DLASQ5

extends java.lang.Object

    DLASQ5 is a simplified interface to the JLAPACK routine dlasq5.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLASQ5 computes one dqds transform in ping-pong form, one
     *  version for IEEE machines another for non IEEE machines.
     *
     *  Arguments
     *  =========
     *
     *  I0    (input) INTEGER
     *        First index.
     *
     *  N0    (input) INTEGER
     *        Last index.
     *
     *  Z     (input) DOUBLE PRECISION array, dimension ( 4*N )
     *        Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
     *        an extra argument.
     *
     *  PP    (input) INTEGER
     *        PP=0 for ping, PP=1 for pong.
     *
     *  TAU   (input) DOUBLE PRECISION
     *        This is the shift.
     *
     *  DMIN  (output) DOUBLE PRECISION
     *        Minimum value of d.
     *
     *  DMIN1 (output) DOUBLE PRECISION
     *        Minimum value of d, excluding D( N0 ).
     *
     *  DMIN2 (output) DOUBLE PRECISION
     *        Minimum value of d, excluding D( N0 ) and D( N0-1 ).
     *
     *  DN    (output) DOUBLE PRECISION
     *        d(N0), the last value of d.
     *
     *  DNM1  (output) DOUBLE PRECISION
     *        d(N0-1).
     *
     *  DNM2  (output) DOUBLE PRECISION
     *        d(N0-2).
     *
     *  IEEE  (input) LOGICAL
     *        Flag for IEEE or non IEEE arithmetic.
     *
     *  =====================================================================
     *
     *     .. Parameter ..

Constructor Summary
`DLASQ5()`

Method Summary
`static void` | `DLASQ5(int i0, int n0, double[] z, int pp, double tau, doubleW dmin, doubleW dmin1, doubleW dmin2, doubleW dn, doubleW dnm1, doubleW dnm2, boolean ieee)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLASQ5

    public DLASQ5()

Method Detail

### DLASQ5

    public static void DLASQ5(int i0,
                              int n0,
                              double[] z,
                              int pp,
                              double tau,
                              doubleW dmin,
                              doubleW dmin1,
                              doubleW dmin2,
                              doubleW dn,
                              doubleW dnm1,
                              doubleW dnm2,
                              boolean ieee)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD